Member
List Service Projects
Get all projects for a service in the current organization.
Authorization
clientKeyHeader clientSecretHeader x-client-key<token>
Client API key credential.
In: header
x-client-secret<token>
Client API secret credential.
In: header
Path Parameters
serviceId*string
Query Parameters
page*string
Default
"1"Match
^[0-9]+$size*string
Default
"25"Match
^[0-9]+$search?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.dokaai.com/api/v1/dokaai/opm/members/me/projects/with-service/string?page=1&size=25"{
"status": "success",
"message": "string",
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"orgId": "string",
"createdById": "string",
"createdDate": "2019-08-24T14:15:22Z",
"modifiedById": "string",
"modifiedDate": "2019-08-24T14:15:22Z",
"isActive": true,
"isDeleted": true,
"isMember": true,
"productSpace": {
"id": "string",
"orgId": "string",
"code": "string",
"name": "string",
"description": "string"
}
}
],
"metaData": {
"page": 0,
"hasMore": true,
"pageSize": 0,
"count": 0
},
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}